# 2.4 ADC 模块API手册



## 前言

### 概述

本文档主要介绍machine模块下的ADC类API。

### 读者对象

本文档（本指南）主要适用于以下人员：

- 技术支持工程师
- 软件开发工程师

### 缩略词定义

| 简称 | 说明 |
| ---- | ---- |
| ADC  |  Analog to Digital Converter （模数转换）  |

### 修订记录

| 文档版本号 | 修改说明 | 修改者     | 日期       |
| ---------- | -------- | ---------- | ---------- |
| V1.0       | 初版     | 软件部      | 2023-09-27 |

## 1. 概述

K230内部包含一个ADC硬件模块，有6个通道，采样分辨率为12bit(0-4095)，采样速率为1M。

## 2. API描述

ADC类位于machine模块下

### 2.1 示例

```python
from machine import ADC
# 实例化ADC通道0
adc = ADC(0)
# 获取ADC通道0采样值
print(adc.read_u16())
# 获取ADC通道0电压值
print(adc.read_uv(), "uV")
```

### 2.2 构造函数

```python
adc = ADC(channel)
```

【参数】

- channel: ADC通道号，取值:[0,5]

### 2.3 read_u16

```python
ADC.read_u16()
```

获取通道采样值

【参数】

无

【返回值】

返回当前ADC通道采样值，[0-4095]

### 2.4 read_uv

```python
ADC.read_uv()
```

获取通道电压值

【参数】

无

【返回值】

返回当前ADC通道电压值，[0-1800000]
